# Resend MFA Challenge Code
URL: /docs/api-reference/multi-factor-authentication-mfa/resendMfaChallenge

## POST `/api/v1/public/mfa/resend`

**Summary:** Resend MFA Challenge Code
**Operation ID:** `resendMfaChallenge`

Resends the verification challenge code subject to workflow cooldown rules.

**Authentication:** `X-Api-Key: sk_live_...` or `Authorization: Bearer sk_live_...`

### Request Body (`application/json`)

```json
{
  "type": "object",
  "required": [
    "challengeId"
  ],
  "properties": {
    "challengeId": {
      "type": "string",
      "example": "ch_7f9a2e41"
    }
  }
}
```

### Responses

- **`200`**: Challenge code resent

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "success"
    },
    "data": {
      "$ref": "#/components/schemas/MfaChallengeResponse"
    }
  }
}
```
- **`401`**: Authentication failed or API key missing